Retrieve Project user data
curl --request GET \
--url https://api.latitude.sh/projects/{project_id}/user_data/{user_data_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.latitude.sh/projects/{project_id}/user_data/{user_data_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/projects/{project_id}/user_data/{user_data_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "ud_VLMmAD8EOwop2",
"type": "user_data",
"attributes": {
"description": "Three egg omelet with Roquefort cheese, chives, and ham. With a side of roasted potatoes, and your choice of toast or croissant.",
"content": "Q3JlYW15IG1hc2NhcnBvbmUgY2hlZXNlIGFuZCBjdXN0YXJkIGxheWVyZWQgYmV0d2VlbiBlc3ByZXNzbyBhbmQgcnVtIHNvYWtlZCBob3VzZS1tYWRlIGxhZHlmaW5nZXJzLCB0b3BwZWQgd2l0aCBWYWxyaG9uYSBjb2NvYSBwb3dkZXIu",
"created_at": "2026-01-14T15:56:43+00:00",
"updated_at": "2026-01-14T15:56:43+00:00",
"decoded_content": "Creamy mascarpone cheese and custard layered between espresso and rum soaked house-made ladyfingers, topped with Valrhona cocoa powder.",
"project": {
"id": "proj_e8pKq0GYdWAob",
"name": "Enormous Silk Car",
"slug": "enormous-silk-car",
"description": "Aerodynamic Granite Bag",
"provisioning_type": "on_demand",
"billing_type": "Normal",
"billing_method": "Normal",
"bandwidth_alert": false,
"environment": null,
"billing": {},
"stats": {
"databases": 0,
"ip_addresses": 0,
"prefixes": 0,
"servers": 0,
"storages": 0,
"virtual_machines": 0,
"vlans": 0
}
}
}
},
"meta": {}
}User data
Retrieve Project user data
deprecated
Get User Data in the project. These scripts can be used to configure servers with user data.
GET
/
projects
/
{project_id}
/
user_data
/
{user_data_id}
Retrieve Project user data
Authorizations
Query Parameters
The decoded_content is provided as an extra attribute that shows content in decoded form.
Was this page helpful?
⌘I